<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

foreach ($template->result() as $template)
{
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

/* catur */
$url = base_url("resources/template/penetapan/pidana_umum/".$filename.".rtf");
$judul = "";

$Template = file_get_contents($url);

$namapn = '';
$alamatpn = '';

foreach ($datapengadilan->result() as $row) {
    $namapn = $this->templatehelper->standradnaming($row->NamaPN);
    $namaketuapn = $this->templatehelper->standradnaming($row->KetuaPNNama);
    $namawakilpn = $this->templatehelper->standradnaming($row->WakilKetuaPNNama);
    $namakota =str_replace("Pengadilan Negeri ",'',$namapn);
}


if(empty($namapn)){
    $namapn = '........';
}
if(empty($alamatpn)){
    $alamatpn = '........';
}

if(empty($namakota)){
    $namakota = '........';
}

$Template = str_replace("#namapn#",''.$namapn.'',$Template);
$Template = str_replace('#namakota#',''.$namakota.'',$Template);

$hakimketua = '';
$hakimAnggota='';
$tanggalpenetapanhakim = '';
$penetapan = "";
$majelis = true;
foreach ($datapenetapanhakim->result() as $row) {
    if($row->jabatan_hakim_id==1){
        $penetapan =$this->templatehelper->standradnaming($row->nama_gelar)." \\tab ".$row->jabatan_hakim_nama.";\\par".PHP_EOL;
    }elseif($row->jabatan_hakim_id==2){
        $penetapan =$this->templatehelper->standradnaming($row->nama_gelar)." \\tab ".$row->jabatan_hakim_nama.";\\par".PHP_EOL;
    }elseif($row->jabatan_hakim_id==3){
        $majelis = false;
        $penetapan =$this->templatehelper->standradnaming($row->nama_gelar)." \\tab Hakim;\\par".PHP_EOL;
    } 
    $tanggalpenetapanhakim = $this->tanggalhelper->convertToInputDate($row->tanggal_penetapan);
}


foreach ($dataperkara->result() as $row) {
    $dakwaan = $row->dakwaan; //cleanHtmlTag($row['dakwaan);
    $nomorperkara = $row->nomor_perkara;
}

if($majelis){
    $Template = str_replace('#majelis#','Majelis ',$Template);
}else{
    $Template = str_replace('#majelis#','',$Template);
}

if($penetapan==""){?>
<script type="text/javascript">
    alert('Majelis / Hakim Belum Ditetapkan');
</script>
<?php
return;
exit();
}


$hakimketua=$penetapan;
if(empty($hakimketua)){
    echo "halo";
    $hakimketua = '........';
}
else


if(empty($tanggalpenetapanhakim)){
    $tanggalpenetapanhakim = '........';
}

$counter = 1;
$pihak2=''; $penahanan_pihak2='';$namaterdakwa='';
if (!empty($dataterdakwa->num_rows)){   
    foreach ($dataterdakwa->result() as $row){
        $pihak2 .= 'Nama lengkap \tab : '.$this->templatehelper->standradnaming(strtolower($row->nama)).'\\par ';
        $pihak2 .= 'Tempat lahir \tab : '.$row->tempat_lahir.'\\par ';
        $pihak2 .= 'Umur/Tanggal lahir \tab : '.$this->tanggalhelper->getSelisihTahun($row->tanggal_lahir,date('Y-m-d')).'/ '.$this->templatehelper->convertKeTglIndo($row->tanggal_lahir).'\\par ';
        if ($row->jenis_kelamin=='L') {
            $pihak2 .= 'Jenis kelamin \tab : '.'Laki-laki'.'\\par ';
        } else {
            $pihak2 .= 'Jenis kelamin \tab : '.'Perempuan'.'\\par ';
        }
        $pihak2 .= 'Kebangsaan \tab : '.$row->warga_negara.'\\par ';
        $pihak2 .= 'Tempat tinggal \tab : '.$row->alamat.'\\par ';
        $pihak2 .= 'Agama \tab : '.$row->agama_nama.'\\par ';
        $pihak2 .= 'Pekerjaan \tab : '.$row->pekerjaan.'\\par \\par ';
        $namaterdakwa .= $this->templatehelper->standradnaming(strtolower($row->nama));


        $temp = '';
        //$datapenahanan =array();
        
        $counterpenahanan = 1;
        $status_penahanan = '';
        $jenistahanan='';
        $jenis_tahanan = '';
        if (!empty($datapenahanan->num_rows) > 0 ){
            foreach ($datapenahanan->result() as $val){
                $temp = strtolower($val->status_penahanan).' dalam '.$val->jenis_tahanan;
                if (trim($status_penahanan) != strtolower(trim($val->status_penahanan)) || $status_penahanan ==='' || $jenis_tahanan === '' || $jenis_tahanan != strtolower(trim($val->jenis_tahanan))){
                    $penahanan_pihak2 .= 'Terdakwa '.$this->templatehelper->standradnaming($row->nama).' '.$temp.' oleh: \\par ';    
                }
            
                $val->oleh=str_replace(' PN', ' Pengadilan Negeri', $val->oleh);
                $val->oleh=str_replace(' pengadilan negeri', ' Pengadilan Negeri', $val->oleh);
                $val->oleh=str_replace(' pn', ' Pengadilan Negeri', $val->oleh);
                $val->oleh=str_replace(' Pn', ' Pengadilan Negeri', $val->oleh);
                $val->oleh=str_replace('Penuntut Umum', 'Penuntut', $val->oleh);
                $val->oleh=str_replace('Penuntut', 'Penuntut Umum', $val->oleh);
                $val->oleh=str_replace(' PU', ' Penuntut Umum', $val->oleh);
                $penahanan_pihak2 .= strval($counterpenahanan).'. '.$val->oleh.' sejak tanggal '.$this->templatehelper->convertKeTglIndo($val->sejak).' sampai dengan tanggal '.$this->templatehelper->convertKeTglIndo($val->sampai).'; \\par ';
                $status_penahanan = strtolower(trim($val->status_penahanan));
                $jenis_tahanan = strtolower(trim($val->jenis_tahanan));
                $counterpenahanan ++;
            }
            $Template = str_replace('#sejak#',$this->templatehelper->convertKeTglIndo($val->sejak),$Template);
            $template = str_replace('#sampai#',$this->templatehelper->convertKeTglIndo($val->sampai),$Template);
        
        }else{
            $penahanan_pihak2 .= ' Tidak ada Penahanan ';
        }
        
        $Template=str_replace('#namaterdakwa#',$namaterdakwa,$Template);
        $Template = str_replace('#jenistahanan#',$jenis_tahanan,$Template);
        $Template = str_replace('#terdakwa#',$pihak2,$Template);
        $Template = str_replace('#penahanan#',$penahanan_pihak2,$Template);
        $counter++;
    }
}

// ====================== tambahan utk memunculkan majelis
$daftar_majelis = '';
$hakim_anggotas = ".....";
$hakim_ketua = ".....";
$i=1;
$j=1;
foreach ($data_hakim->result() as $row) 
{
    if($row->jabatan_hakim_id==1)
    {
        $hakim_ketua = $this->templatehelper->standradnaming($row->nama_gelar);
        $daftar_majelis .= $this->templatehelper->standradnaming($row->nama_gelar).' \tab  Hakim Ketua;\\par ';
    }
    elseif($row->jabatan_hakim_id==2)
    {
        if ($i === count($data_hakim->result()))
        {
            //$penetapan .= 'dan ';
            $hakim_anggotas .= $this->templatehelper->standradnaming($row->nama_gelar).'';
        }
        else
        {
            $penetapan .= ", ";
            if ($j==1 && $i>1)
            {
                $hakim_anggotas .= $this->templatehelper->standradnaming($row->nama_gelar).'\tab '.$hakim_ketua.'\\par \\par \\par ';
            }
            else
            {
                $hakim_anggotas .= $this->templatehelper->standradnaming($row->nama_gelar).'\\par \\par \\par ';
            }
            
        }
        //$penetapan .=$this->templatehelper->standradnaming($row->nama_gelar).' ';
        $daftar_majelis .= $this->templatehelper->standradnaming($row->nama_gelar).' \tab  Hakim Anggota;\\par ';
        $j++;
    }
    elseif($row->jabatan_hakim_id==3)
    {
        $majelis = false;
        //$penetapan .=$this->templatehelper->standradnaming($row->nama_gelar).", sebagai Hakim,";
        $daftar_majelis .= $this->templatehelper->standradnaming($row->nama_gelar).' \tab Hakim;\\par ';
        $hakim_ketua = $this->templatehelper->standradnaming($row->nama_gelar);
    }
    $i++;
}
if ((count($data_hakim->result()))>"1"){
    $Template = str_replace('#header_hakim_anggotas#','Hakim Anggota,\tab Hakim Ketua,',$Template);
    $Template = str_replace('#hakim_anggotas#',$hakim_anggotas,$Template);
}else{
    $Template = str_replace('#header_hakim_anggotas#','Hakim Anggota,\tab Hakim,',$Template);
    $Template = str_replace('#hakim_anggotas#',$hakim_anggotas.'\tab '.$hakim_ketua,$Template);
}

// ====================== end of tambahan


$Template = str_replace("#nomorperkara#",''.$nomorperkara.'',$Template);
$Template = str_replace("#alamatpn#",''.$alamatpn.'',$Template);
$Template = str_replace('#namapn#',''.$namapn.'',$Template);
$Template = str_replace('#namakota#',''.$namakota.'',$Template);
$Template = str_replace("#dakwaan#",''.$this->templatehelper->cleanHtmlTag($dakwaan).'',$Template);
$Template = str_replace("#tanggalpenetapanhakim#",''.$tanggalpenetapanhakim.'',$Template);
$Template = str_replace('#ketuapn#',''.$namaketuapn.'',$Template);


header("Content-type: application/rtf");
header("Content-disposition: inline; filename=".$namafile."-".$nomorperkara.".rtf");
header("Content-length: ".strlen($Template));
echo $Template;

?> 